diff -pruN 0.10repacked-14/debian/changelog 0.10repacked-15/debian/changelog
--- 0.10repacked-14/debian/changelog	2022-11-27 13:27:56.000000000 +0000
+++ 0.10repacked-15/debian/changelog	2024-04-27 13:51:25.000000000 +0000
@@ -1,3 +1,15 @@
+garmin-forerunner-tools (0.10repacked-15) unstable; urgency=medium
+
+  * QA upload.
+
+  * Updated Standards-Version from 4.6.0 to 4.7.0.
+  * Added Appstream metainfo announcing hardware support.
+  * Replaced obsolete build dependency pkg-config with pkgconf.
+  * Corrected lintian override string to match latest lintian.
+  * Moved to debhelper compat level 13.
+
+ -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Apr 2024 15:51:25 +0200
+
 garmin-forerunner-tools (0.10repacked-14) unstable; urgency=medium
 
   * QA upload.
diff -pruN 0.10repacked-14/debian/control 0.10repacked-15/debian/control
--- 0.10repacked-14/debian/control	2022-11-27 13:27:56.000000000 +0000
+++ 0.10repacked-15/debian/control	2024-04-27 13:51:25.000000000 +0000
@@ -2,10 +2,10 @@ Source: garmin-forerunner-tools
 Section: utils
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	libusb-1.0-0-dev,
-	pkg-config
-Standards-Version: 4.6.0
+	pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/phako/garmintools
 Vcs-Git: https://salsa.debian.org/debian/garmin-forerunner-tools.git
diff -pruN 0.10repacked-14/debian/copyright 0.10repacked-15/debian/copyright
--- 0.10repacked-14/debian/copyright	2022-11-27 13:27:56.000000000 +0000
+++ 0.10repacked-15/debian/copyright	2024-04-27 13:43:07.000000000 +0000
@@ -19,3 +19,26 @@ License: GPL-2+
  .
  On Debian systems, the complete text of the GNU General Public
  License can be found in the /usr/share/common-licenses/GPL-2 file.
+
+Files: debian/garmin-forerunner-tools.metainfo.xml
+Copyright: 2024 Petter Reinholdtsen
+License: MIT
+ Permission is hereby granted, free of charge, to any person obtaining
+ a copy of this software and associated documentation files (the
+ "Software"), to deal in the Software without restriction, including
+ without limitation the rights to use, copy, modify, merge, publish,
+ distribute, sublicense, and/or sell copies of the Software, and to
+ permit persons to whom the Software is furnished to do so, subject to
+ the following conditions:
+ .
+ The above copyright notice and this permission notice shall be
+ included in all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
+ BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+ ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+ SOFTWARE.
diff -pruN 0.10repacked-14/debian/garmin-forerunner-tools.install 0.10repacked-15/debian/garmin-forerunner-tools.install
--- 0.10repacked-14/debian/garmin-forerunner-tools.install	1970-01-01 00:00:00.000000000 +0000
+++ 0.10repacked-15/debian/garmin-forerunner-tools.install	2024-04-27 13:42:41.000000000 +0000
@@ -0,0 +1 @@
+debian/garmin-forerunner-tools.metainfo.xml usr/share/metainfo
diff -pruN 0.10repacked-14/debian/garmin-forerunner-tools.metainfo.xml 0.10repacked-15/debian/garmin-forerunner-tools.metainfo.xml
--- 0.10repacked-14/debian/garmin-forerunner-tools.metainfo.xml	1970-01-01 00:00:00.000000000 +0000
+++ 0.10repacked-15/debian/garmin-forerunner-tools.metainfo.xml	2024-04-27 13:41:56.000000000 +0000
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<component>
+  <id>com.github.phako.garmintools</id>
+  <metadata_license>MIT</metadata_license>
+  <name>garmin-forerunner-tools</name>
+  <summary>retrieve data from Garmin Forerunner/Edge GPS devices</summary>
+  <description>
+    <p>This package contains command-line tools to retrieve data from
+    GPS devices from the Garmin Forerunner series (these are
+    wristwatch-like devices that allow you to register your exact
+    itinerary when doing outdoor sports) or the Garmin Edge series
+    (the same for cycling computers). It works with the Forerunner 205
+    and 305 models and with the Edge 305 model, and possibly
+    others. Track data can be translated into an XML format and into
+    gpx, and into a polyline format for use with Google maps.</p>
+
+    <p>In contrast to the gpsbabel software, this software also
+    downloads data specific to usage in sports like maximal speed, lap
+    summary, calorie consumption, etc.</p>
+  </description>
+  <provides>
+    <modalias>usb:v091Ep0003d*</modalias>
+  </provides>
+</component>
diff -pruN 0.10repacked-14/debian/lintian-overrides 0.10repacked-15/debian/lintian-overrides
--- 0.10repacked-14/debian/lintian-overrides	2022-11-27 13:27:56.000000000 +0000
+++ 0.10repacked-15/debian/lintian-overrides	2024-04-27 13:47:48.000000000 +0000
@@ -1,2 +1,2 @@
-non-dev-pkg-with-shlib-symlink usr/lib/*/libgarmintools.so.4.2.0 usr/lib/*/libgarmintools.so
+garmin-forerunner-tools: link-to-shared-library-in-wrong-package usr/lib/x86_64-linux-gnu/libgarmintools.so.4.2.0 [usr/lib/x86_64-linux-gnu/libgarmintools.so]
 package-name-doesnt-match-sonames libgarmintools4
